incorrect Breaks statement forces removal because of newer firefox-3.5

Bug #456598 reported by Martin-Éric Racine
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mozvoikko (Ubuntu)
Fix Released
High
Alexander Sack

Bug Description

Binary package hint: mozvoikko

Today's latest firefox-3.5 (just a few days before releasing the Karmic final) Breaks mozvoikko, so APT tries to remove mozvoikko. This is undesirable. Fixing this requires either adjusting the dependencies of mozvoikko or firefox-3.5 or both, the rebuilding the binary.

ProblemType: Bug
Architecture: i386
Date: Tue Oct 20 22:15:53 2009
DistroRelease: Ubuntu 9.10
Package: mozvoikko 1.0-1ubuntu2
ProcEnviron:
 LANGUAGE=fi_FI.UTF-8
 PATH=(custom, user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: mozvoikko
Uname: Linux 2.6.31-14-generic i686

Revision history for this message
Martin-Éric Racine (q-funk) wrote :
Revision history for this message
Alexander Sack (asac) wrote :

i dropped the breaks and fixed install.rdf to have proper minVersion.

Uploading to ubuntu (via ftp to upload.ubuntu.com):
  Uploading mozvoikko_1.0-1ubuntu3.dsc: done.
  Uploading mozvoikko_1.0-1ubuntu3.diff.gz: done.
  Uploading mozvoikko_1.0-1ubuntu3_source.changes: done.
Successfully uploaded packages.

Changed in mozvoikko (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Alexander Sack (asac)
Revision history for this message
Martin-Éric Racine (q-funk) wrote :

Somehow, that upload never made it to the repository. Has it failed to build, perhaps?

tags: added: regression-potential
Revision history for this message
Heikki Mäntysaari (heikki-mantysaari) wrote :

I can't find any message about failed build. Perhaps this delay has something to do with the current freeze, should we subscribe the release team or something?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.0-1ubuntu3

---------------
mozvoikko (1.0-1ubuntu3) karmic; urgency=low

  * LP: #456598 - incorrect Breaks statement forces removal
    because of newer firefox-3.5; fix install.rdf to use proper
    minVersion bounds rather than shipping a package Breaks:
    - update mozvoikko.config
    - update debian/control

 -- Alexander Sack <email address hidden> Tue, 20 Oct 2009 21:37:02 +0200

Changed in mozvoikko (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers